Bug 858684

Summary: Flicker when clicking the NTP config dialog, or 'CONTINUE' in disk pane
Product: [Fedora] Fedora Reporter: Stef Walter <stefw>
Component: anacondaAssignee: Samantha N. Bueno <sbueno>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: g.kaviyarasu, jonathan, rtguille, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 07:13:16 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
screenshot of the new partition dialog
none
screenshot of 'configure mount point' dialog
none
screenshot of 'selected disks' none

Description Stef Walter 2012-09-19 08:21:17 EDT
Description of problem:

When graying out the screen to show a modal dialog in the new anaconda interface, the screen flickers really obviously. It does the same when the dialog goes away. You can see everything redrawing itself. 

Such dialogs with flicker include: 
 * The 'CONTINUE' dialog in the 'INSTALLATION DESTINATION' panel.
 * The gears dialog next to 'Network Time OFF' on the 'DATE & TIME' panel.

It would seem that the transition should be smooth for the effect to be worthwhile.

Version-Release number of selected component (if applicable):

Fedora 18-Alpha
Comment 1 Chris Lumens 2012-09-19 10:05:25 EDT
Yeah, I know.  Any ideas for how to make it smoother would be nice.  For now we've really just been focused on functionality, though.
Comment 2 Chris Lumens 2012-10-10 11:49:55 EDT
Looks like I just need to be using a compositing manager during anaconda.  Not sure I'll have time for that in F18, though.  Would be nice.
Comment 3 Chris Lumens 2012-10-12 12:47:10 EDT
*** Bug 865852 has been marked as a duplicate of this bug. ***
Comment 4 Reartes Guillermo 2013-01-05 16:36:24 EST
Created attachment 673082 [details]
screenshot of the new partition dialog

Using TC4 (18.37.8) among all the black-screens, this is the most annoying IMHO, since it removes any visual clues of the remaining free space. Sometimes it can be repaired if one clicks the 'help' button, but not always. I hope this only is affecting guest with qlx and not real video cards.
Comment 5 Reartes Guillermo 2013-01-05 16:38:34 EST
Created attachment 673083 [details]
screenshot of 'configure mount point' dialog

Also with TC4 (18.37.8)
Comment 6 Reartes Guillermo 2013-01-05 16:39:59 EST
Created attachment 673084 [details]
screenshot of 'selected disks'

also with TC4 (18.37.8)
all previous screen-shots were from manual partitioning
Comment 7 Chris Lumens 2013-02-28 08:59:30 EST
Samantha - this is the bug report I was using to track work for the GTK redraw ugliness item on the work list.
Comment 8 Fedora End Of Life 2013-12-21 03:53:57 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 07:13:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.